<template>
  <div class="view-button">
    <router-link :to="to" class="link">
      <input-button class="input" :text="text" />
    </router-link>
  </div>
</template>

<script lang="ts">
import { Options, Vue } from "vue-class-component";

import InputButton from "@/components/input/InputButton.vue";

@Options({
  components: {
    InputButton,
  },
  props: {
    text: String,
    to: String,
  },
})
export default class ViewButton extends Vue {
  public text!: string;
  public to!: string;
}
</script>

<style scoped lang="scss">
@import "@/styles/globals";

.view-button {
  position: absolute;
  width: 100%;
  bottom: 0px;
  right: 0px;

  padding: $standard_margin;
  box-sizing: border-box;

  background: rgb(255, 255, 255);
  background: linear-gradient(
    180deg,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.7553396358543417) 30%,
    rgba(255, 255, 255, 1) 100%
  );

  .input {
    width: calc(min(100% - 2 *#{$standard_margin}, #{$max_list_width}));
    margin: auto;
  }

  .link {
    text-decoration: none;
  }
}
</style>
